Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

During the VS2010 installation I got this message:

Error 1935. An error occurred during the installation of assembly "WcfSvcHost, version="10.0.0.0", publicKeyToken="31bf385ad364e35",processorArchitecture="MSIL",fileVersion="10.0.30319.1",culture="neutral".

Please refer to Help and Support for more information. HRESULT:0x80070015.

Do you know what could be causing this issue?

Before installing Premium Edition, I had a copy of Professional Edition on the system which I uninstalled. Perhaps some files from that installation have not been deleted and are causing this problem?

share|improve this question

2 Answers 2

up vote 0 down vote accepted

After hours of searching the Internet and trying various options, I decided to reinstall Windows and Visual Studio 2010 Premium. For those who have the same problem I will share a few links that might be useful - some have said that those solutions worked for them, but they didn't help me:

One note that can be useful for someone who didn't yet face this problem (but if you are here, you probably already faced this issue ;-) ) - I used Daemon Tools for mounting the installation ISO file, but didn't have AutoMount checked in the preferences. When the Visual Studio 2010 installer rebooted the system, the previously mounted file disappeared and I had to cancel installation and retry after setting AutoMount in Daemon Tools. After that cancellation I had all these problems with Visual Studio 2010, so perhaps this advice can help save you hours of grief.

share|improve this answer

HRESULT:0x80070015

That's ERROR_NOT_READY, generic description: "The device is not ready."

I would check for issues with your installation source media: eg. try running from an installer on hard disk rather than DVD (you can just copy the DVD content).

share|improve this answer
    
I copied installation files to hard disk and tried to install again but didn't succeed. Again same error... I found some articles with some other explanations and will try it right now. This one can be useful: support.microsoft.com/kb/872904 –  Nemanja Vujacic Apr 6 '11 at 10:29
    
I installed Msizap.exe and executed command 'Msizap TP {B43357AA-3A6D-4D94-B56E-43C44D09E548}' but face same error message again! Do you have some other suggestion? Is it necessary to have installed older versions of .NET framework (1.1, 2.0, 3.0 and 3.5) if I have installed last version 4.0? In this moment I have installed all mentioned versions, only 1.0 missing and it is not possible to install it because system recognizes 1.1 as newer version and don't allow installation of old one. –  Nemanja Vujacic Apr 7 '11 at 11:57

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.